import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, l = (i, t, p, s) => {
  for (var e = s > 1 ? void 0 : s ? u(t, p) : t, o = i.length - 1, c; o >= 0; o--)
    (c = i[o]) && (e = (s ? c(t, p, e) : c(e)) || e);
  return s && e && m(t, p, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--cashplus", this.class = "c-pieIcon c-pieIcon--cashplus", this.name = "IconPaymentCashplus";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--cashplus"><path fill="#001920" d="M3 12a9 9 0 1 0 18 0 9 9 0 0 0-18 0Z"></path><path fill="#80DAFF" d="M12.582 17.162c.345-2.86 1.933-4.5 4.712-5.056v-1.059c-1.562-.238-3.097-.106-4.659.238V6.838h-1.217c-.345 2.833-1.906 4.5-4.686 5.056v1.059c1.562.238 3.097.106 4.66-.238v4.447h1.19Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  f("icon-payment-cashplus")
], r);
export {
  r as IconPaymentCashplus
};
